GET

Get Calendar

Retrieves a single calendar by id.

GEThttps://api.vantaxai.com/v1/calendars/{calendar_id}

Headers

  • Authorizationstringrequired

    Bearer authentication with your secret API key.

    example: Bearer vx_live_3fa9c2…

Path Parameters

  • calendar_idstringrequired

    The calendar's unique identifier.

    example: cal_22f9

Request

curl -X GET https://api.vantaxai.com/v1/calendars/cal_22f9 \
  -H "Authorization: Bearer vx_live_3fa9c2..."

Response

{
  "success": true,
  "data": {
    "id": "cal_22f9",
    "name": "Front Desk Bookings",
    "description": "Default calendar for inbound scheduling calls",
    "color": "#2563eb",
    "is_active": true,
    "slot_duration_minutes": 30,
    "sub_account_id": "sub_8a1f4c2e",
    "created_at": "2026-01-14T10:30:00Z"
  }
}